// const host='http://192.168.3.1:5050';//赵
// const host='http://192.168.3.100:5050';//王峰

const { func } = require("prop-types");

// const host='http://192.168.2.121:5050';//后端接口访问地址



const host='http://192.168.2.236:6060';//后端接口访问地址
// const host='http://192.168.2.241:5050';//后端接口访问地址
// const host='http://192.168.3.11:5050';//王宇
//const host='http://192.168.2.164:8080';
// const host='http://192.168.3.117:5050'; //周铁刚
// const newIcssVisitUrl = '223.93.170.82:13000';    //icss服务访问地址（跳转目的地），不能加http://
const imageUrlPrefix = 'http://192.168.2.241:82';
function geturl(){
    if(window.location.href.indexOf('localhost')>-1){
        return {
            gourl:'http://localhost:8081/cdss.html',
            // gourl:'http://192.168.2.241:5654/cdss.html',
            imgurl:host.replace('6060','22')
        }
    }else if(window.location.href.indexOf('192.168.2.236')>-1){
        return {
            gourl:'http://192.168.2.236:5654/cdss.html',
            imgurl:'http://192.168.2.236:82'
        }
    }else if(window.location.href.indexOf('192.168.2.241')>-1){
        return {
            gourl:'http://192.168.2.241:5654/cdss.html',
            imgurl:'http://192.168.2.241:82'
        }
    }else if(window.location.href.indexOf('192.168.2.121')>-1){
        return {
            gourl:'http://192.168.2.121:5654/cdss.html',
            imgurl:'http://192.168.2.121:82'
        }
    }else{
        return {
            // gourl:'http://192.168.2.122:5654/cdss.html',
            gourl:'http://223.93.170.82:12254/cdss.html',
            imgurl:'http://192.168.2.122:82'
        }
    }
}
let urlSelect = geturl()
module.exports={
    host,
    prefix:'',            //带权限验证的api
    pushPage:'http://192.168.2.241:5488/icssIndex.html',        //右侧推送页面的地址
    imageUrlPrefix:urlSelect.imgurl,
    pushPage2:urlSelect.gourl,        //右侧推送页面的地址
    // pushPage2:'http://localhost:8080/cdss.html',        //右侧推送页面的地址
};
